%define upstream_name    Cache-FastMmap
%define upstream_version 1.36

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Uses an mmap'ed file to act as a shared memory interprocess cache
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Storable)
BuildRequires:	perl-devel



%description
A shared memory cache through an mmap'ed file. It's core is written in C for
performance. It uses fcntl locking to ensure multiple processes can safely
access the cache at the same time. It uses a basic LRU algorithm to keep the
most used entries in the cache.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README META.yml
%perl_vendorarch/Cache
%perl_vendorarch/auto/Cache
%_mandir/*/*

%changelog
* Fri Jan 21 2011 jquelin <jquelin> 1.360.0-1.mga1
+ Revision: 29851
- mageia rebuild
- imported package perl-Cache-FastMmap

